# Class BundleResourceType

java.lang.Object
htsjdk.beta.io.bundle.BundleResourceType

public class BundleResourceType extends Object
Constants for specifying standard content types and formats for resources contained in a `Bundle`. Bundles generally contain one primary resource, plus one or more secondary resources such as an index or md5 file. Each resource has an associated content type, and optionally a format. The bundle itself has a primary content type, which is the content type of the primary resource (and the bundle must always contain a resource with the content type that corresponds to the primary content type of the bundle). Although any string can be used as a primary content type in a bundle, the standard primary content types generally correspond to one of the enum values in `HtsContentType`, since each of these has a corresponding `HtsCodec` that handles that type of resource, such as reads or variants. Secondary resource content types can also be any string, but the standard secondary content types are defined here, i.e., for primary content type "READS", a secondary content type might be "READS_INDEX". Finally, each resource in a bundle can have an optional format, which is a string that corresponds to the format for that resource. For example, a primary content type of "READS" might have a format of "BAM".

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CT_ALIGNED_READS`
Common primary content types
`static final String`
`CT_FEATURES`
`static final String`
`CT_HAPLOID_REFERENCE`
`static final String`
`CT_MD5`
MISCELLANEOUS Resource types
`static final String`
`CT_READS_INDEX`
Secondary content types names for content type `CT_ALIGNED_READS` resources
`static final String`
`CT_REFERENCE_DICTIONARY`
Secondary content types for `CT_HAPLOID_REFERENCE` resources
`static final String`
`CT_REFERENCE_INDEX`
`static final String`
`CT_REFERENCE_INDEX_GZI`
`static final String`
`CT_VARIANT_CONTEXTS`
`static final String`
`CT_VARIANTS_INDEX`
Secondary content types for primary content type `CT_VARIANT_CONTEXTS` resources
`static final String`
`FMT_READS_BAM`
`static final String`
`FMT_READS_CRAM`
`static final String`
`FMT_READS_HTSGET_BAM`
`static final String`
`FMT_READS_INDEX_BAI`
Formats for secondary content type `CT_READS_INDEX` resources
`static final String`
`FMT_READS_INDEX_CRAI`
`static final String`
`FMT_READS_INDEX_CSI`
`static final String`
`FMT_READS_SAM`
Formats for primary content type `CT_ALIGNED_READS`
`static final String`
`FMT_VARIANTS_BCF`
`static final String`
`FMT_VARIANTS_VCF`
Format names for content type `CT_VARIANT_CONTEXTS`

## Constructor Summary

Constructors
Constructor
Description
`BundleResourceType()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CT_ALIGNED_READS

public static final String CT_ALIGNED_READS
Common primary content types

See Also:
  - Constant Field Values

### CT_VARIANT_CONTEXTS

public static final String CT_VARIANT_CONTEXTS

See Also:
  - Constant Field Values

### CT_HAPLOID_REFERENCE

public static final String CT_HAPLOID_REFERENCE

See Also:
  - Constant Field Values

### CT_FEATURES

public static final String CT_FEATURES

See Also:
  - Constant Field Values

### FMT_READS_SAM

public static final String FMT_READS_SAM
Formats for primary content type `CT_ALIGNED_READS`

See Also:
  - Constant Field Values

### FMT_READS_BAM

public static final String FMT_READS_BAM

See Also:
  - Constant Field Values

### FMT_READS_CRAM

public static final String FMT_READS_CRAM

See Also:
  - Constant Field Values

### FMT_READS_HTSGET_BAM

public static final String FMT_READS_HTSGET_BAM

See Also:
  - Constant Field Values

### CT_READS_INDEX

public static final String CT_READS_INDEX
Secondary content types names for content type `CT_ALIGNED_READS` resources

See Also:
  - Constant Field Values

### FMT_READS_INDEX_BAI

public static final String FMT_READS_INDEX_BAI
Formats for secondary content type `CT_READS_INDEX` resources

See Also:
  - Constant Field Values

### FMT_READS_INDEX_CRAI

public static final String FMT_READS_INDEX_CRAI

See Also:
  - Constant Field Values

### FMT_READS_INDEX_CSI

public static final String FMT_READS_INDEX_CSI

See Also:
  - Constant Field Values

### FMT_VARIANTS_VCF

public static final String FMT_VARIANTS_VCF
Format names for content type `CT_VARIANT_CONTEXTS`

See Also:
  - Constant Field Values

### FMT_VARIANTS_BCF

public static final String FMT_VARIANTS_BCF

See Also:
  - Constant Field Values

### CT_VARIANTS_INDEX

public static final String CT_VARIANTS_INDEX
Secondary content types for primary content type `CT_VARIANT_CONTEXTS` resources

See Also:
  - Constant Field Values

### CT_REFERENCE_DICTIONARY

public static final String CT_REFERENCE_DICTIONARY
Secondary content types for `CT_HAPLOID_REFERENCE` resources

See Also:
  - Constant Field Values

### CT_REFERENCE_INDEX

public static final String CT_REFERENCE_INDEX

See Also:
  - Constant Field Values

### CT_REFERENCE_INDEX_GZI

public static final String CT_REFERENCE_INDEX_GZI

See Also:
  - Constant Field Values

### CT_MD5

public static final String CT_MD5
MISCELLANEOUS Resource types

See Also:
  - Constant Field Values

## Constructor Details

### BundleResourceType

public BundleResourceType()